package com.free.config;

/**
 * 自定义异常枚举
 */
public enum ExceptionEnum {
  SERVICE_FAULT("400", "服务发生错误"), //
  VALID("4001", "参数校验失败"), // 一般只用码
  UPLOAD_FILE_NOT_FOUND("4002", "未找到上传文件"),
  UPLOAD_PATH_ERROR("4003", "上传文件地址解析失败"),
  UPLOAD_FAILED("4004", "上传文件失败"),
  APPLY_NOT_AGREE("4005", "您的转人工申请正在等待客服人员受理,请稍等片刻"),
  APPLY_NOT_ClOSE("4006", "您的转人工服务未关闭,无法再次进行转人工申请"),
  NEED_CLOSE_OTHER_APPLYS("4007", "该用户存在其他受理中的转人工服务,请关闭该用户其他的转人工服务后,再受理本次转人工申请"),
  APPLY_NOT_FOUNT("4008", "未找到转人工申请信息"),
  CHAT_APPLY_NOT_AGREE("4009", "转人工申请未通过受理"),
  CHAT_APPLY_IS_CLOSE("40010", "转人工申请已结束"),
  CHAT_SPEAKER_NOT_IN_APPLY("40011", "当前用户无法发言"),
  ACCPET_USER_TYPE_FAULT("40012", "当前用户不是客服人员,无法受理转人工申请"),
  UID_EXIST("40013", "其他系统标识已存在"),
  ALREADY_HAS_CUSTOMER("40014", "该转人工申请已由其他客服人员受理"),
  ACCOUNT_IS_EXIST("4011", "账号已存在"),
  ACCOUNT_NOT_FOUND("4012", "未找到账号信息"),
  PASSWORD_ERROR("4013", "密码错误"),
  TOKEN_NOT_FOUND("4014", "未找到登录信息"),
  TOKEN_INVALID("4015", "登录已超时,请重新登录"),
  OTHER_PLACE_LOGIN("4016", "该用户已在其他地点登录,请重新登录"),
  TOKEN_ERROR("4017", "登录信息解析发生错误,请重新登录"),
  NO_LOGIN_RECORD("4018", "未找到登录信息,请重新登录"),
  ACCOUNT_IS_LOGOUT("4019", "该用户已登出,如要使用请重新登录"),
  USER_TYPE_ERROR("40110", "用户类型错误"),
  USER_ROLE_NOT_FOUND("40111", "未找到用户角色信息"),
  USER_TOKEN_ERROR("40112", "用户token错误"),
  // 数据操作异常定义
  NOT_FOUND("404", "数据不存在或已删除!");

  /**
   * 错误码
   */
  private final String resultCode;

  /**
   * 错误描述
   */
  private final String resultMsg;

  ExceptionEnum(String resultCode, String resultMsg) {
    this.resultCode = resultCode;
    this.resultMsg = resultMsg;
  }

  public String getResultCode() {
    return resultCode;
  }

  public String getResultMsg() {
    return resultMsg;
  }
}