package com.free.controller;

import java.util.Map;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.free.annotation.PassToken;
import com.free.config.ResponseFormat;
import com.free.mq.MqListeners;
import com.free.mq.MqService;

import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@RestController
@RequestMapping
@Api(tags = "mq")
public class MqController {
  @Autowired
  MqService mqService;

  @PassToken
  @PostMapping("/mq/send")
  public Object mqSendTest(@RequestBody Map map) throws JsonProcessingException {
    System.out.println(map);
    String target_id = (String) map.get("target_id");
    String queue = "chat." + target_id;
    String messageId = String.valueOf(UUID.randomUUID());
    map.put("id", messageId);
    mqService.sendMsg(MqListeners.exName, queue, map);
    // 通知admin对话了
    mqService.sendMsg(MqListeners.userExName, MqListeners.userQueue + ".1", map);
    return ResponseFormat.success();
  }

}
