package com.free.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.free.annotation.PassToken;
import com.free.config.CustomizationException;
import com.free.config.ExceptionEnum;
import com.free.config.ResponseFormat;
import com.free.entity.Test;
import com.free.mq.MqListeners;
import com.free.mq.MqService;
import com.free.service.TestService;
import com.free.service.UserService;
import com.free.service.system.CustomerService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/test")
public class TestController {
  @Autowired
  private TestService testService;

  @Autowired
  MqService mqService;

  @Autowired
  private CustomerService customerService;

  @Autowired
  private UserService userService;

  @PassToken
  @GetMapping("/mq/send")
  public Object mqSendTest() throws JsonProcessingException {
    Long result1 = this.customerService.getOnlineNumber();
    Long result2 = this.userService.getOnlineNumber();
    Map result = new HashMap<>();
    result.put("customer", result1);
    result.put("user", result2);
    // String messageId = String.valueOf(UUID.randomUUID());
    // String messageData = "message: M A N ";
    // String createTime =
    // LocalDateTime.now().format(DateTimeFormatter.ofPattern("yyyy-MM-dd
    // HH:mm:ss"));
    // Map<String, Object> manMap = new HashMap<>();
    // manMap.put("messageId", messageId);
    // manMap.put("messageData", messageData);
    // manMap.put("createTime", createTime);
    // Map data = new HashMap();
    // data.put("value","tesF");
    // data.put("create_time", LocalDateTime.now());
    // Long l = null;
    // data.put("l", l);
    // manMap.put("data", data);
    // mqService.sendMsg(MqListeners.userExName, MqListeners.userQueue + ".1",
    // manMap);
    return ResponseFormat.success(result);
  }

  /**
   * 列表查询
   * 
   * @return
   */
  @PassToken
  @GetMapping()
  public Object list() {
    List list = testService.list();
    return ResponseFormat.success(list);
  }

  /**
   * 创建数据
   * 
   * @param test
   * @return
   */
  @PassToken
  @PostMapping()
  public Object save(@RequestBody Test test) {
    boolean result = testService.save(test);
    return ResponseFormat.success((result));
  }

  /**
   * 修改数据
   * 
   * @param id
   * @param test
   * @return
   */
  @PostMapping("/{id}")
  public Object update(@PathVariable long id, @RequestBody Test test) {
    QueryWrapper<Test> qw = new QueryWrapper<Test>();
    qw.eq("id", id);
    Long num = testService.count(qw);
    if (num <= 0)
      throw new CustomizationException(ExceptionEnum.NOT_FOUND);
    testService.updateById(test);
    Test newData = testService.getById(id);
    return ResponseFormat.success(newData);
  }

  @DeleteMapping("/{id}")
  public Object delete(@PathVariable long id) {
    QueryWrapper<Test> qw = new QueryWrapper<Test>();
    qw.eq("id", id);
    Long num = testService.count(qw);
    if (num <= 0)
      throw new CustomizationException(ExceptionEnum.NOT_FOUND);
    testService.removeById(id);
    return ResponseFormat.success();
  }

}