package com.free.entity;

import java.time.LocalDateTime;
import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.OrderBy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;
import com.gitee.sunchenbin.mybatis.actable.constants.MySqlTypeConstant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "chatRecord")
@TableName(value = "chatRecord")
@ApiModel("对话记录")
public class ChatRecord extends BaseEntity {
  @Column(comment = "转人工申请id")
  @TableField(value = "apply_id")
  @ApiModelProperty("转人工申请id")
  private String apply_id;

  @Column(comment = "发言人")
  @TableField(value = "speaker")
  @ApiModelProperty("发言人")
  private String speaker;

  @Column(comment = "客服人员id")
  @TableField(value = "customer_id")
  @ApiModelProperty("客服人员id")
  private String customer_id;

  @Column(comment = "用户id")
  @TableField(value = "user_id")
  @ApiModelProperty("用户id")
  private String user_id;

  @OrderBy(asc = true)
  @TableField(fill = FieldFill.INSERT)
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty("发言时间")
  private LocalDateTime time;

  @Column(comment = "发言内容", type = MySqlTypeConstant.TEXT)
  @TableField(value = "content")
  @ApiModelProperty("发言内容")
  private String content;

  @Column(comment = "内容类型")
  @TableField(value = "content_type")
  @ApiModelProperty("内容类型")
  private String content_type;

  @Column(comment = "已读/未读", defaultValue = "0")
  @TableField(value = "is_read")
  @ApiModelProperty("已读/未读")
  private String is_read;

}
