package com.free.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.OrderBy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "history")
@TableName(value = "history")
@ApiModel("历史记录")
public class History extends BaseEntity {
  @Column(comment = "用户id")
  @TableField(value = "user_id")
  @ApiModelProperty("用户id")
  private String user_id;
  @Column(comment = "题库id")
  @TableField(value = "question_id")
  @ApiModelProperty("题库id")
  private String question_id;
  @Column(comment = "浏览次数")
  @TableField(value = "views")
  @ApiModelProperty("浏览次数")
  private int views;
  @OrderBy(asc = false)
  @TableField(value = "time")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty("最后查询时间")
  private LocalDateTime time;
}