package com.free.entity;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.OrderBy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "message")
@TableName(value = "message")
@ApiModel("用户留言")
public class Message extends BaseEntity {
  @Column(comment = "客服人员id")
  @TableField(value = "customer_id")
  @ApiModelProperty("客服人员id")
  private String customer_id;
  @Column(comment = "用户id")
  @TableField(value = "user_id")
  @ApiModelProperty("用户id")
  private String user_id;
  @Column(comment = "用户留言内容")
  @TableField(value = "content")
  @ApiModelProperty("用户留言内容")
  private String content;
  @Column(comment = "客服回复内容")
  @TableField(value = "reply")
  @ApiModelProperty("客服回复内容")
  private String reply;

  @OrderBy(asc = false)
  @TableField(value = "message_time", fill = FieldFill.INSERT)
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty("留言时间")
  private LocalDateTime message_time;

  @OrderBy(asc = true)
  @TableField(value = "reply_time")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty("回复时间")
  private LocalDateTime reply_time;

  @Column(comment = "是否回复", defaultValue = "1")
  @TableField(value = "is_reply")
  @ApiModelProperty("是否回复")
  private String is_reply;

  @Column(comment = "回复内容已读/未读", defaultValue = "1")
  @TableField(value = "reply_is_read")
  @ApiModelProperty("回复内容已读/未读")
  private String reply_is_read;
}
