package com.free.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;
import com.gitee.sunchenbin.mybatis.actable.constants.MySqlTypeConstant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "question")
@TableName(value = "question")
@ApiModel("预设问题")
public class Question extends BaseEntity{
  @Column(comment = "标题")
  @TableField(value = "title")
  @ApiModelProperty("标题")
  private String title;

  @Column(comment = "答案", type = MySqlTypeConstant.TEXT)
  @TableField(value = "answer")
  @ApiModelProperty("答案")
  private String answer;


  @Column(comment = "所属平台")
  @TableField(value = "platform")
  @ApiModelProperty("所属平台")
  private String platform;
  
  @Column(comment = "是否使用", defaultValue = "0")
  @TableField(value = "is_use")
  @ApiModelProperty("是否使用")
  private String is_use;
}
