package com.free.entity;

import java.time.LocalDateTime;
import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "transferApply")
@TableName(value = "transferApply")
@ApiModel("转人工服务")
public class TransferApply extends BaseEntity {
  @Column(comment = "客服人员id")
  @TableField(value = "customer_id")
  @ApiModelProperty("客服人员id")
  private String customer_id;


  @Column(comment = "用户id")
  @TableField(value = "user_id")
  @ApiModelProperty("用户id")
  private String user_id;


  @TableField(fill = FieldFill.INSERT)
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty("转人工申请时间")
  private LocalDateTime apply_time;


  @Column(comment = "是否接通转人工", defaultValue = "1")
  @TableField(value = "is_agree")
  @ApiModelProperty("是否接通转人工")
  private String is_agree;

  @Column(comment = "是否结束")
  @TableField(value = "is_close")
  @ApiModelProperty("是否结束")
  private int is_close;


}
