package com.free.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;
import com.gitee.sunchenbin.mybatis.actable.annotation.Unique;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "admin")
@TableName(value = "admin")
@ApiModel("管理员")
public class Admin extends BaseEntity {
  @Column(comment = "管理员昵称")
  @TableField(value = "nick_name")
  @ApiModelProperty("管理员昵称")
  private String nick_name;

  @Column(comment = "账号")
  @Unique
  @TableField(value = "account")
  @ApiModelProperty("账号")
  private String account;

  @Column(comment = "密码")
  @TableField(value = "password", select = false)
  @ApiModelProperty("密码")
  private String password;

  @Column(comment = "角色")
  @TableField(value = "role")
  @ApiModelProperty("角色")
  private String role;

  @Column(comment = "是否使用", defaultValue = "0")
  @TableField(value = "is_use")
  @ApiModelProperty("是否使用")
  private String is_use;

  @Column(comment = "是否是超级管理员", defaultValue = "1")
  @TableField(value = "is_super")
  @ApiModelProperty("是否是超级管理员")
  private String is_super;
}
