package com.free.entity.system;

import com.baomidou.mybatisplus.annotation.OrderBy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "dictData")
@TableName(value = "dictData")
@ApiModel("字典数据")
public class DictData extends BaseEntity {
  @Column(comment = "字典目录编码")
  @TableField(value = "code")
  @ApiModelProperty("字典目录编码")
  private String code;
  @Column(comment = "显示值")
  @TableField(value = "label")
  @ApiModelProperty("显示值")
  private String label;
  @Column(comment = "数据存储值")
  @TableField(value = "value")
  @ApiModelProperty("数据存储值")
  private String value;

  @OrderBy(asc = true)
  @Column(comment = "显示顺序")
  @TableField(value = "sort")
  @ApiModelProperty("显示顺序")
  private Long sort;
  @Column(comment = "备注")
  @TableField(value = "remark")
  @ApiModelProperty("备注")
  private String remark;
  @Column(comment = "是否使用", defaultValue = "0")
  @TableField(value = "is_use")
  @ApiModelProperty("是否使用")
  private String is_use;
}
