package com.free.entity.system;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.IsAutoIncrement;
import com.gitee.sunchenbin.mybatis.actable.annotation.IsKey;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;
import com.gitee.sunchenbin.mybatis.actable.constants.MySqlTypeConstant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Table(name = "loginRecord")
@TableName(value = "loginRecord")
@ApiModel("登录登记表")
public class LoginRecord {
  @TableId(type = IdType.ASSIGN_UUID) // mybatis-plus主键注解
  @IsKey
  @Column(name = "id", comment = "数据id")
  @ApiModelProperty("数据id")
  private String id;
  
  @Column(comment = "用户id")
  @TableField(value = "user_id")
  @ApiModelProperty("用户id")
  private String user_id;

  @Column(comment = "用户类型")
  @TableField(value = "type")
  @ApiModelProperty("用户类型")
  private String type; // Admin, User

  @Column(comment = "token", type = MySqlTypeConstant.TEXT)
  @TableField(value = "token", updateStrategy = FieldStrategy.ALWAYS)
  @ApiModelProperty("token")
  private String token;

  @Column(comment = "过期时间")
  @TableField(value = "expire_time")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty("过期时间")
  private LocalDateTime expire_time;

  @Column(comment = "最后使用时间")
  @TableField(value = "last_time")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @ApiModelProperty("最后使用时间")
  private LocalDateTime last_time;

  @Column(comment = "最后使用ip")
  @TableField(value = "last_ip")
  @ApiModelProperty("最后使用ip")
  private String last_ip;
}
