package com.free.entity.system;

import com.baomidou.mybatisplus.annotation.OrderBy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "menus")
@TableName(value = "menus")
@ApiModel("管理端目录表")
public class Menus extends BaseEntity {

  @Column(comment = "名称")
  @TableField(value = "name")
  @ApiModelProperty("名称")
  private String name;

  @Column(comment = "组件")
  @TableField(value = "component")
  @ApiModelProperty("组件")
  private String component;

  @Column(comment = "路由名称")
  @TableField(value = "route_name")
  @ApiModelProperty("路由名称")
  private String route_name;

  @Column(comment = "父级id")
  @TableField(value = "parent_id")
  @ApiModelProperty("父级id")
  private String parent_id;

  @OrderBy(asc = true)
  @Column(comment = "显示顺序")
  @TableField(value = "order_num")
  @ApiModelProperty("显示顺序")
  private Long order_num;

  @Column(comment = "路由")
  @TableField(value = "path")
  @ApiModelProperty("路由")
  private String path;

  @Column(comment = "类型: 0-目录;1-页面")
  @TableField(value = "type")
  @ApiModelProperty("类型")
  private String type;

  @Column(comment = "图标")
  @TableField(value = "icon")
  @ApiModelProperty("图标")
  private String icon;

  @Column(comment = "是否默认", defaultValue = "1")
  @TableField(value = "is_default")
  @ApiModelProperty("是否默认")
  private String is_default;

  @Column(comment = "是否使用", defaultValue = "0")
  @TableField(value = "is_use")
  @ApiModelProperty("是否使用")
  private String is_use;

  @Column(comment = "备注")
  @TableField(value = "remark")
  @ApiModelProperty("备注")
  private String remark;
}
