package com.free.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.node.ArrayNode;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;
import com.gitee.sunchenbin.mybatis.actable.constants.MySqlTypeConstant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "role")
@TableName(value = "role", autoResultMap = true)
@ApiModel("角色")
public class Role extends BaseEntity {
  @Column(comment = "角色名称")
  @TableField(value = "name")
  @ApiModelProperty("角色名称")
  private String name;

  @Column(comment = "角色目录", type = MySqlTypeConstant.JSON)
  @TableField(value = "menu", typeHandler = JacksonTypeHandler.class)
  @ApiModelProperty("角色目录")
  private ArrayNode menu;

  @Column(comment = "简介")
  @TableField(value = "brief")
  @ApiModelProperty("简介")
  private String brief;

  @Column(comment = "是否使用", defaultValue = "0")
  @TableField(value = "is_use")
  @ApiModelProperty("是否使用")
  private String is_use;

  @Column(comment = "是否是默认角色", defaultValue = "1")
  @TableField(value = "is_default")
  @ApiModelProperty("是否是默认角色")
  private String is_default;

  @Column(comment = "使用对象:0-管理员;1-客服人员;2-使用用户")
  @TableField(value = "type")
  @ApiModelProperty("使用对象")
  private String type;
}
