package com.free.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.free.entity.History;
import com.free.entity.Question;
import com.free.mapper.HistoryMapper;
import com.free.utils.Utils;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class HistoryService extends ServiceImpl<HistoryMapper, History> {
  @Autowired
  private QuestionService questionService;
  /**
   * 根据question_id取出question的title
   * @param list
   * @return
   */
  public List<Map> getQuestionsName(List<History> list) {
    List<Map> returnData = new ArrayList<>();
    for (History i : list) {
      Question q = questionService.getById(i.getQuestion_id());
      if (null == q) {
        continue;
      }
      Map map = Utils.objectToMap(i);
      map.put("question_name", q.getTitle());
      returnData.add(map);
    }
    return returnData;
  }
}
