package com.free.service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.free.entity.Message;
import com.free.entity.User;
import com.free.entity.system.Customer;
import com.free.mapper.MessageMapper;
import com.free.service.system.CustomerService;
import com.free.utils.Utils;

@Service
public class MessageService extends ServiceImpl<MessageMapper, Message> {
  @Autowired
  private UserService userService;
  @Autowired
  private CustomerService customerService;

  /**未回复标识 */
  public static final String is_reply_sign = "0";
  /**已回复标识 */
  public static final String not_reply_sign = "1";

  /**
   * 将列表中的客服id和用户id的数据取出来
   * 
   * @param list
   * @return
   */
  public List<Map> getUserAndCustomerName(List<Message> list) {
    List<Map> returnData = new ArrayList<>();
    for (Message i : list) {
      Map map = this.getUserAndCustomerNameByData(i);
      returnData.add(map);

    }
    return returnData;
  }

  public Map getUserAndCustomerNameByData(Message i) {
    Map map = Utils.objectToMap(i);
    String customer_id = i.getCustomer_id();
    if (null != customer_id) {
      Customer cData = customerService.getById(customer_id);
      if (null != cData) {
        map.put("customer_name", cData.getNick_name());
      }
    }
    String user_id = i.getUser_id();
    if (null != user_id) {
      User uData = userService.getById(user_id);
      if (null != uData) {
        // 查询用户名称
        map.put("user_name", uData.getName());
      }
    }
    return map;
  }
}
