package com.free.utils;

import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

public class BcryptUtil {
  /**
   * 生成密码
   * @param password 输入的密码
   */
  public static String encryptPassword(String password) {
    BCryptPasswordEncoder passwordEncoder = new BCryptPasswordEncoder();
    return passwordEncoder.encode(password);
  }
  /**
   * 校验密码
   * @param rPassword 输入的密码
   * @param ePassword 数据库中加密的密码
   */
  public static boolean matchesPassword(String rPassword, String ePassword) {
    BCryptPasswordEncoder passwordEncoder = new BCryptPasswordEncoder();
    return passwordEncoder.matches(rPassword, ePassword);
  }

}
