package com.free.utils;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Reader;
import java.lang.reflect.Field;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import org.springframework.util.ResourceUtils;

public class Utils {

  public static String randomString(int length) {
    UUID randomUUID = UUID.randomUUID();
    String str = randomUUID.toString().replaceAll("-", "");
    if (length >= 32) {
      length = 32;
    }
    str = str.substring(0, length);
    return str;
  }

  // 对象转Map
  public static Map<String, Object> objectToMap(Object object) {
    Map<String, Object> dataMap = new HashMap<>();
    Class<?> clazz = object.getClass();
    for (Field field : clazz.getDeclaredFields()) {
      try {
        field.setAccessible(true);
        dataMap.put(field.getName(), field.get(object));
      } catch (IllegalAccessException e) {
        e.printStackTrace();
      }
    }
    // 转换不会讲BaseEntity类中的 id,create_time,update_time转换出来,需要自己处理
    BaseEntity be = new BaseEntity();
    Class<?> beClazz = be.getClass();
    for (Field field : beClazz.getDeclaredFields()) {
      try {
        field.setAccessible(true);
        dataMap.put(field.getName(), field.get(object));
      } catch (IllegalAccessException e) {
        e.printStackTrace();
      }
    }
    return dataMap;
  }

  /**
   * 读取json文件
   */
  public static String readJsonFile(String filePath) {
    FileReader fileReader = null;
    Reader reader = null;
    try {
      File jsonFile = ResourceUtils.getFile("classpath:" + filePath);
      fileReader = new FileReader(jsonFile);
      reader = new InputStreamReader(new FileInputStream(jsonFile), "utf-8");
      int ch;
      StringBuffer sb = new StringBuffer();
      while ((ch = reader.read()) != -1) {
        sb.append((char) ch);
      }
      fileReader.close();
      reader.close();
      String jsonStr = sb.toString();
      return jsonStr;
    } catch (IOException e) {
      e.printStackTrace();
      // logger.error("读取文件报错", e);
      System.out.println("读取文件报错!" + e);
    } finally {
      if (fileReader != null) {
        try {
          fileReader.close();
        } catch (IOException e) {
          e.printStackTrace();
        }
      }
      if (reader != null) {
        try {
          reader.close();
        } catch (IOException e) {
          e.printStackTrace();
        }
      }
    }
    return null;
  }

  public static Long getLongValue (Object value){
    String str = String.valueOf(value);
    if(null==str) {
      return null;
    }
    Long l = Long.valueOf(str);
    return l;
  }
}
